playMaker

Author Topic: Issues installing Photon(PUN) for playmaker [SOLVED]  (Read 886 times)

BrightestLychee

  • Playmaker Newbie
  • *
  • Posts: 1
    • View Profile
Issues installing Photon(PUN) for playmaker [SOLVED]
« on: November 04, 2016, 05:09:31 PM »
Hello! :) First post here! I've seen alot of users having issues installing PUN and I haven't been able to install it either. I've followed the instructions read in comments for the whole day but with no luck :'(

These are the versions I am currently using


  • Playmaker 5.4.2f2
  • Playmaker 1.8.3.f4

I opened a fresh project before adding anything

First I installed Playmaker and Ecosystem without a problem  ;D

I then installed the package from this page
https://hutonggames.fogbugz.com/?W928

I then got these error


I tried running the game and another message was added


With the package from the link still installed I tried installing for the ecosystem

(I searched Unity 5 so I wouldn't get the Unity 4 version)

Got some more errors


Then I went to the in program asset store and got this version of PUN


Got some more errors


and here I am now. I'm not sure what to do? Again, I haven't tried installing PUN on my main project this is all done on a new project. Thank you for your time reading this, I hope to get some ideas on how to make this work  :) :D Bless

EDIT::
I got rid  of the last errors!

I found this file

Turned this off!

I read somewhere that you could do this but I couldn't find the file until now haha.

But I got some more errors


If anybody has a suggestion on what to do it'd be cool to hear :). If I solve this I'm not sure if I can leave this here for anyone else who is confused. Thanks

EDIT 2
Looks like I got it working! I don't know what I did to get it to work ahaa but I'll write down the exact things I did in case anyone else is stumped:


Seems to be up and running now! I guess this post doesn't really fit here anymore...! Anyway have a nice evening everybody :)
« Last Edit: November 05, 2016, 01:04:37 AM by BrightestLychee »

Mateo

  • Playmaker Newbie
  • *
  • Posts: 3
    • View Profile
Re: Issues installing Photon(PUN) for playmaker [SOLVED]
« Reply #1 on: November 25, 2016, 12:15:55 PM »
Thank you for your post. I have exactly the same thing.
And fixed it also with toggling Any Platform in the inspector of Plugins/WP8/Photon3Unity3D off.

It's a plugin specially for windows phones... as it's not the destination platform I'm developing for it's not a big deal.

But still it's a work around and not a real fix. Which worries me a bit.